Running qDslrDashboard on Raspbian Stretch

Open discussion about photography, qDslrDashboard
Kaleido
Posts: 2
Joined: 28 Feb 2019, 18:55

Re: Running qDslrDashboard on Raspbian Stretch

Post by Kaleido »

Yes I know that thread.

I have read that post this afternoon! But I thought that "vchiq" is a dslr Dashboard issue.

Is it possible that dslr dash... may need a diff usergroup to run on RPi Stretch?

I can not compare with/to a Jessie Installation, so I do not know how it worked on Jessie System.

I do not have a "vchiq" within my /dev/ Folder.

I found this post: may be interesting too:

https://raspberrypi.stackexchange.com/q ... spberry-pi

hubaiz
Site Admin
Posts: 1812
Joined: 27 Jan 2015, 18:58

Re: Running qDslrDashboard on Raspbian Stretch

Post by hubaiz »

qDD does not have any requirements regarding user or usergroup.
Probably the eglfs display that is used needs it.

auge
Posts: 4
Joined: 22 Jul 2019, 12:44

Re: Running qDslrDashboard on Raspbian Stretch

Post by auge »

Tried to install qDslrDashboard on Raspbian Stretch (lates version)
I don't have d display attched. I'm using VNC as graphical console.
Can this be the problem?
After the start of the program the last message was "glGetError 0x500".
After that nothing happens anymore.
See log below.
==============================================
pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ sudo apt-get update
Holen:1 http://archive.raspberrypi.org/debian stretch InRelease [25,4 kB]
OK:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Es wurden 25,4 kB in 1 s geholt (23,7 kB/s).
Paketlisten werden gelesen... Fertig

pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ sudo apt-get dist-upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ sudo rpi-update
*** Raspberry Pi firmware updater by Hexxeh, enhanced by AndrewS and Dom
*** Performing self-update
*** Relaunching after update
*** Raspberry Pi firmware updater by Hexxeh, enhanced by AndrewS and Dom
*** Your firmware is already up to date
pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ sudo apt-get install libjpeg8 libts-0.0-0
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
libjpeg8 ist schon die neueste Version (8d1-2).
libts-0.0-0 ist schon die neueste Version (1.0-12).
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ ./qDslrDashboard.sh
./qDslrDashboard.sh: Zeile 26: /dev/nul: Keine Berechtigung
pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ [9;0]Unable to query physical screen size, defaulting to 100 dpi.
To override, set QT_QPA_EGLFS_PHYSICAL_WIDTH and QT_QPA_EGLFS_PHYSICAL_HEIGHT (in millimeters).
qt.bluetooth.bluez: Missing CAP_NET_ADMIN permission. Cannot determine whether a found address is of random or public type.
qml: ScreenManagerOverlay - Focus Scope complete
qml: ScreenManagerOverlay - devicesFlickable complete
qml: ScreenManagerOverlay - managerFlickable complete
glGetError 0x500
Last edited by auge on 22 Jul 2019, 21:02, edited 1 time in total.

auge
Posts: 4
Joined: 22 Jul 2019, 12:44

Re: Running qDslrDashboard on Raspbian Stretch

Post by auge »

Tried to install qDslrDashboard on Raspbian Stretch (latest version)
I don't have d display attched. I'm using VNC as graphical console.
Can this be the problem?
After the start of the program the last message was "glGetError 0x500".
After that nothing happens anymore.
See log below.

Code: Select all

pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ sudo apt-get update
Holen:1 http://archive.raspberrypi.org/debian stretch InRelease [25,4 kB]
OK:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Es wurden 25,4 kB in 1 s geholt (23,7 kB/s).               
Paketlisten werden gelesen... Fertig
pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ sudo apt-get dist-upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ sudo rpi-update
 *** Raspberry Pi firmware updater by Hexxeh, enhanced by AndrewS and Dom
 *** Performing self-update
 *** Relaunching after update
 *** Raspberry Pi firmware updater by Hexxeh, enhanced by AndrewS and Dom
 *** Your firmware is already up to date
pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ sudo apt-get install libjpeg8 libts-0.0-0
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
libjpeg8 ist schon die neueste Version (8d1-2).
libts-0.0-0 ist schon die neueste Version (1.0-12).
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ ./qDslrDashboard.sh
./qDslrDashboard.sh: Zeile 26: /dev/nul: Keine Berechtigung
pi@raspberrypi1:~/Downloads/qDslrDashboard_V3.5.9_RPI_Stretch $ [9;0]Unable to query physical screen size, defaulting to 100 dpi.
To override, set QT_QPA_EGLFS_PHYSICAL_WIDTH and QT_QPA_EGLFS_PHYSICAL_HEIGHT (in millimeters).
qt.bluetooth.bluez: Missing CAP_NET_ADMIN permission. Cannot determine whether a found address is of random or public type.
qml: ScreenManagerOverlay - Focus Scope complete
qml: ScreenManagerOverlay - devicesFlickable complete
qml: ScreenManagerOverlay - managerFlickable complete
glGetError 0x500

hubaiz
Site Admin
Posts: 1812
Joined: 27 Jan 2015, 18:58

Re: Running qDslrDashboard on Raspbian Stretch

Post by hubaiz »

It will not work with VNC as qDD uses OpenGL for displaying the UI.

Fleurpink
Posts: 2
Joined: 23 Jan 2020, 09:07

Re: Running qDslrDashboard on Raspbian Stretch

Post by Fleurpink »

TxNightSkies wrote:
25 Feb 2019, 05:05
I followed the directions running Raspbian Stretch and saw the following Error:
audacity temp mail origin

Code: Select all

cd ~
tar xzvf ~/Downloads/qDslrDashboard_V3.5.7_RPI.tar.gz
cd qDslrDashboard_V3.5.7_RPI
sudo ./qDslrDashboard.sh 
/home/pi/qDslrDashboard_V3.5.7_RPI/./qDslrDashboard: error while loading shared libraries: libGLESv2.so: cannot open shared object file: No such file or directory

I tried add soft-links for new libs to old libs

Code: Select all

cd ~/qDslrDashboard_V3.5.7_RPI/Qt_Libraries
sudo ln -s /opt/vc/lib/libbrcmEGL.so libEGL.so
sudo ln -s /opt/vc/lib/libbrcmGLESv2.so libGLESv2.so
sudo ln -s /opt/vc/lib/libbrcmOpenVG.so libOpenVG.so
sudo ln -s /opt/vc/lib/libbrcmWFC.so libWFC.so
After adding the softlinks I got a different Error

Code: Select all

cd ~/qDslrDashboard_V3.5.7_RPI/Qt_Libraries
sudo ./qDslrDashboard.sh 
  pi@raspberrypi:~/qDslrDashboard_V3.5.7_RPI.LibSoftLinksAdded$ QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
  Unable to query physical screen size, defaulting to 100 dpi.
  To override, set QT_QPA_EGLFS_PHYSICAL_WIDTH and QT_QPA_EGLFS_PHYSICAL_HEIGHT (in millimeters).
  qt.qpa.input: X-less xkbcommon not available, not performing key mapping
  glGetError 0x500
I am running Raspbian Stretch:

Code: Select all

cat /etc/os-release 
  PRETTY_NAME="Raspbian GNU/Linux 9 (stretch)"
  NAME="Raspbian GNU/Linux"
  VERSION_ID="9"
  VERSION="9 (stretch)"
  ID=raspbian

Anyone else seen these problems with running qDslrDashboard_V3.5.7_RPI on Raspbian Strech. Will there be another version of qDslrDashboard_V3.5_7 Raspian that is compiled for the newer libbrcm* Libraryies?

thanks
Rob
When i use this code in my Rasp pi 3, it's said error what can i do ?

Code: Select all

cd ~/qDslrDashboard_V3.5.7_RPI/Qt_Libraries
sudo ./qDslrDashboard.sh

Post Reply